import { Logger } from './log';
interface PullOptions {
    output?: string;
    force?: boolean;
}
export declare class TemplateManager {
    private git;
    constructor();
    pullTemplate(source: string, options: PullOptions, log: Logger): Promise<void>;
    private isBuiltinTemplate;
    private isGitUrl;
    private downloadBuiltinTemplate;
    private downloadGitTemplate;
    private parseGitUrl;
    private buildGitUrl;
    private cloneFull;
    private cloneWithSubpath;
    private checkTargetDirectory;
    getBuiltinTemplates(): Record<string, string>;
}
export {};
